### Function

# GLib unichar_ismark

since: 2.14

#### Declaration [src]

    gboolean
    g_unichar_ismark (
      gunichar c
    )

#### Description [src]

Determines whether a character is a mark (non-spacing mark, combining mark, or enclosing mark in Unicode speak). Given some UTF-8 text, obtain a character value with g_utf8_get_char().

Note: in most cases where isalpha characters are allowed, ismark characters should be allowed to as they are essential for writing most European languages as well as many non-Latin scripts.

Available since: 2.14

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gboolean`

`TRUE` if `c` is a mark character.